Activity log for bug #1049593

Date Who What changed Old value New value Message
2012-09-12 10:28:29 John Lea bug added bug
2012-09-12 10:28:35 John Lea ayatana-design: assignee John Lea (johnlea)
2012-09-12 10:28:37 John Lea ayatana-design: importance Undecided Critical
2012-09-12 10:28:46 John Lea bug task added unity
2012-09-12 10:31:00 John Lea bug task added unity (Ubuntu)
2012-09-12 10:31:11 John Lea ayatana-design: status New Triaged
2012-09-12 10:31:13 John Lea unity: status New Triaged
2012-09-12 10:31:15 John Lea unity (Ubuntu): status New Triaged
2012-09-12 10:31:17 John Lea ayatana-design: status Triaged Fix Committed
2012-09-12 10:31:28 John Lea tags dashm udp
2012-09-12 10:31:30 John Lea unity: milestone backlog
2012-09-12 10:33:26 John Lea unity: importance Undecided Critical
2012-09-12 10:33:28 Adolfo Jayme bug added subscriber Adolfo Jayme Barrientos
2012-09-12 10:33:29 John Lea unity (Ubuntu): importance Undecided Critical
2012-09-13 11:12:22 Paweł Stołowski bug task added unity-lens-music
2012-09-13 11:34:11 Michal Hruby branch linked lp:~mhr3/unity-lens-applications/remove-ratings-filter
2012-09-13 13:09:37 Paweł Stołowski branch linked lp:~stolowski/unity-lens-music/price-in-results
2012-09-13 13:17:49 Michal Hruby branch linked lp:~unity-team/unity/see-you-later-flow
2012-09-13 14:58:28 Paweł Stołowski branch linked lp:~stolowski/unity-lens-music/personal-content-flag
2012-09-13 15:02:30 Paweł Stołowski branch linked lp:~stolowski/unity-lens-files/personal-content-flag
2012-09-13 15:11:52 Paweł Stołowski branch linked lp:~stolowski/unity-lens-applications/category-rename
2012-09-13 16:41:54 Gord Allott branch linked lp:~gordallott/unity/newbg
2012-09-13 17:29:05 Yann Dìnendal bug added subscriber Yann Dìnendal
2012-09-14 02:30:10 Tim Penhey unity: milestone backlog
2012-09-14 07:46:01 Tim Penhey tags dashm udp dashm exbacklog udp
2012-09-14 09:12:36 Launchpad Janitor branch linked lp:~mhr3/unity-lens-videos/match-latest-design
2012-09-14 10:43:20 Michal Hruby branch linked lp:~mhr3/unity-lens-videos/split-online-results
2012-09-14 14:49:26 Łukasz Zemczak bug added subscriber Ubuntu Release Team
2012-09-14 14:56:43 Launchpad Janitor branch linked lp:~sil2100/unity-lens-applications/quantal_6.6.0
2012-09-14 14:58:45 Paweł Stołowski branch linked lp:~stolowski/unity-lens-applications/results-ribbons
2012-09-14 15:58:34 David Callé bug task added unity-lens-photos
2012-09-17 06:00:27 Timo Jyrinki description At the London 12.10 dash sprint we are working on finessing the placement, movement and behaviour of elements in the 12.10 Dash. This bug is requesting a FFE and UIFE to land these fixes. = Proposed Change = At the London 12.10 dash sprint we are working on finessing the placement, movement and behaviour of elements in the 12.10 Dash. This bug is requesting a FFE and UIFE to land these fixes.
2012-09-17 12:28:04 Iain Lane bug added subscriber Iain Lane
2012-09-17 15:08:09 Iain Lane unity (Ubuntu): status Triaged Incomplete
2012-09-17 15:08:24 Iain Lane unity-lens-music (Ubuntu): status New Incomplete
2012-09-17 15:08:36 Iain Lane unity-lens-photos (Ubuntu): status New Incomplete
2012-09-17 16:07:11 David Callé unity-lens-photos (Ubuntu): status Incomplete New
2012-09-17 18:35:34 Neil J. Patel branch linked lp:~njpatel/unity/fix-application-emblem-category-loading
2012-09-17 18:53:58 Iain Lane removed subscriber Iain Lane
2012-09-18 07:45:01 Timo Jyrinki bug added subscriber Timo Jyrinki
2012-09-18 11:21:30 John Lea description = Proposed Change = At the London 12.10 dash sprint we are working on finessing the placement, movement and behaviour of elements in the 12.10 Dash. This bug is requesting a FFE and UIFE to land these fixes. = Proposed Change = At the London 12.10 dash sprint we are working on finessing the placement, movement and behaviour of elements in the 12.10 Dash. This bug is requesting a FFE and UIFE to land these fixes. ------------- Changes include: - remove preview containers - default button (normally mapped to same action as left-click) should be focused - left/right arrows go 20% opc and move further apart, go fully opaque on mouseover - Clicking outside of dash region does not stop a song preview from playing - Clicking on the main left hand side preview image in a Dash Preview should close the Preview and return the user to the results view - Users should be able to exit the Preview and return to the results by right clicking anywhere inside the preview - tab to move focus between buttons - Fix display of star ‘Rating’ in App Previews - Buttons are in 34px height, with 1px inside stroke for unselected, 2px inside stroke for selected - Buttons should also render the extra_text property of PreviewAction - add correct category header icons for Dash home - adjust spacing between categories so the implementation matches design - category headers should only be focusable if they can be expended - Dash is not dismissed when something in the other display is clicked - Dash jumps from one monitor to another in a multi-monitor environment - On a fresh install, the "filter results" section of all Lenses should be collapsed by default - update highlight focus to a 106px * 106px square with 2px round corner, 20% opc white - Files deleted by dragging and dropping from the Dash to the Trash are not removed from the Dash - Height of lenses nav bar is 40px - Removing ‘rating’ star filter from app lens - All results other than app and file icons should become 96px * 96px - app icons and icons of files that cannot be previewed become 64px * 64px - When an application is installed direct from a Dash Preview, the Software Centre should not be launched and the Software Centre window should not be opened - All applications which are a dependency of Ubuntu Desktop should not have an uninstall button in their preview
2012-09-18 12:32:16 Launchpad Janitor branch linked lp:~timo-jyrinki/ubuntu/quantal/unity-lens-files/ubuntu.660
2012-09-18 12:39:23 Launchpad Janitor branch linked lp:~timo-jyrinki/ubuntu/quantal/unity-lens-videos/ubuntu.0310
2012-09-18 13:45:30 Neil J. Patel unity (Ubuntu): status Incomplete Triaged
2012-09-18 13:45:44 Neil J. Patel unity-lens-music (Ubuntu): status Incomplete Triaged
2012-09-18 13:46:50 Neil J. Patel branch linked lp:~unity-team/nux/nux.redirected-views
2012-09-18 13:47:03 Neil J. Patel branch linked lp:~unity-team/unity/unity.dash-to-preview
2012-09-18 13:53:31 Paweł Stołowski branch linked lp:~stolowski/unity-lens-applications/show-more-apps-on-no-query
2012-09-18 13:55:10 Paweł Stołowski branch linked lp:~stolowski/unity-lens-applications/no-uninstall-for-ubuntu-desktop
2012-09-18 14:59:29 Neil J. Patel unity (Ubuntu): status Triaged New
2012-09-18 14:59:31 Neil J. Patel unity-lens-music (Ubuntu): status Triaged New
2012-09-18 15:07:06 Launchpad Janitor branch linked lp:~timo-jyrinki/ubuntu/quantal/unity-scope-video-remote/ubuntu.038
2012-09-18 15:27:42 John Lea unity-lens-music (Ubuntu): importance Undecided Critical
2012-09-18 15:27:44 John Lea unity-lens-photos (Ubuntu): importance Undecided Critical
2012-09-18 15:27:46 John Lea unity-lens-music: importance Undecided Critical
2012-09-18 15:29:31 Paweł Stołowski branch linked lp:~mhr3/unity-lens-music/increased-u1-results-size
2012-09-18 16:02:08 Nick Dedekind branch linked lp:~nick-dedekind/unity/dash-results.focus+size
2012-09-18 16:02:22 Nick Dedekind branch linked lp:~nick-dedekind/unity/fix-music-preview-scroll
2012-09-18 16:02:41 Nick Dedekind branch linked lp:~nick-dedekind/unity/preview-button-navigation
2012-09-18 16:03:02 Nick Dedekind branch linked lp:~nick-dedekind/unity/preview-content-background-shadows
2012-09-18 16:03:15 Nick Dedekind branch linked lp:~nick-dedekind/unity/preview-buttons-height
2012-09-18 16:03:37 Nick Dedekind branch linked lp:~nick-dedekind/unity/preview-navigation-button-opacity
2012-09-18 16:04:17 Nick Dedekind branch linked lp:~nick-dedekind/unity/lp857422.dash-mouse-steal
2012-09-18 16:04:34 Nick Dedekind branch linked lp:~nick-dedekind/unity/preview-action-extra-text
2012-09-18 16:06:22 Nick Dedekind branch linked lp:~nick-dedekind/unity/lp923657.dash-dismiss
2012-09-18 16:21:03 Paweł Stołowski branch linked lp:~stolowski/unity-lens-music/price-as-extra-text
2012-09-18 16:22:29 Paweł Stołowski branch linked lp:~stolowski/unity-lens-music/missing-cover-icon
2012-09-18 16:22:57 Paweł Stołowski branch linked lp:~stolowski/unity/missing-music-video-icons
2012-09-18 16:24:48 Paweł Stołowski branch linked lp:~stolowski/unity-lens-applications/use-raw-price
2012-09-18 16:26:16 Neil J. Patel branch linked lp:~nicolas-doffay/unity/coverflow-mouse-select-fix
2012-09-18 16:26:56 Neil J. Patel branch linked lp:~mhr3/unity/icon-loader-width-and-height
2012-09-18 16:38:39 Kate Stewart unity (Ubuntu): milestone ubuntu-12.10-beta-2
2012-09-18 16:38:45 Kate Stewart unity-lens-music (Ubuntu): milestone ubuntu-12.10-beta-2
2012-09-18 16:38:49 Kate Stewart unity-lens-photos (Ubuntu): milestone ubuntu-12.10-beta-2
2012-09-18 16:44:15 Neil J. Patel branch linked lp:~unity-team/unity/match-designed-sizings
2012-09-18 16:53:52 Neil J. Patel description = Proposed Change = At the London 12.10 dash sprint we are working on finessing the placement, movement and behaviour of elements in the 12.10 Dash. This bug is requesting a FFE and UIFE to land these fixes. ------------- Changes include: - remove preview containers - default button (normally mapped to same action as left-click) should be focused - left/right arrows go 20% opc and move further apart, go fully opaque on mouseover - Clicking outside of dash region does not stop a song preview from playing - Clicking on the main left hand side preview image in a Dash Preview should close the Preview and return the user to the results view - Users should be able to exit the Preview and return to the results by right clicking anywhere inside the preview - tab to move focus between buttons - Fix display of star ‘Rating’ in App Previews - Buttons are in 34px height, with 1px inside stroke for unselected, 2px inside stroke for selected - Buttons should also render the extra_text property of PreviewAction - add correct category header icons for Dash home - adjust spacing between categories so the implementation matches design - category headers should only be focusable if they can be expended - Dash is not dismissed when something in the other display is clicked - Dash jumps from one monitor to another in a multi-monitor environment - On a fresh install, the "filter results" section of all Lenses should be collapsed by default - update highlight focus to a 106px * 106px square with 2px round corner, 20% opc white - Files deleted by dragging and dropping from the Dash to the Trash are not removed from the Dash - Height of lenses nav bar is 40px - Removing ‘rating’ star filter from app lens - All results other than app and file icons should become 96px * 96px - app icons and icons of files that cannot be previewed become 64px * 64px - When an application is installed direct from a Dash Preview, the Software Centre should not be launched and the Software Centre window should not be opened - All applications which are a dependency of Ubuntu Desktop should not have an uninstall button in their preview = Proposed Change = At the London 12.10 dash sprint we are working on finessing the placement, movement and behaviour of elements in the 12.10 Dash. This bug is requesting a FFE and UIFE to land these fixes. ------------- Changes include: - remove preview containers - default button (normally mapped to same action as left-click) should be focused - left/right arrows go 20% opc and move further apart, go fully opaque on mouseover - Clicking outside of dash region does not stop a song preview from playing - Clicking on the main left hand side preview image in a Dash Preview should close the Preview and return the user to the results view - Users should be able to exit the Preview and return to the results by right clicking anywhere inside the preview - tab to move focus between buttons - Fix display of star ‘Rating’ in App Previews - Buttons are in 34px height, with 1px inside stroke for unselected, 2px inside stroke for selected - Buttons should also render the extra_text property of PreviewAction - add correct category header icons for Dash home - adjust spacing between categories so the implementation matches design - category headers should only be focusable if they can be expended - Dash is not dismissed when something in the other display is clicked - Dash jumps from one monitor to another in a multi-monitor environment - On a fresh install, the "filter results" section of all Lenses should be collapsed by default - update highlight focus to a 106px * 106px square with 2px round corner, 20% opc white - Files deleted by dragging and dropping from the Dash to the Trash are not removed from the Dash - Height of lenses nav bar is 40px - Removing ‘rating’ star filter from app lens - All results other than app and file icons should become 96px * 96px - app icons and icons of files that cannot be previewed become 64px * 64px - When an application is installed direct from a Dash Preview, the Software Centre should not be launched and the Software Centre window should not be opened - All applications which are a dependency of Ubuntu Desktop should not have an uninstall button in their preview = Effects on Quantal = This FFe captures a lot of small bugs/fixes and a couple larger ones. Though we don't expect any issues, the reason there are so many branches linked is that, if there are issues found, we can revert out the individual 'fixes' rather than having to revert out everything. This should hopefully make it more palatable for getting into Ubuntu. Amongst the branches linked, there are only a couple with large code changes, and they have been developed in isolation of the rest, ready to be reverted out should they cause any issues for beta 2.
2012-09-18 17:26:50 Neil J. Patel branch linked lp:~nicolas-doffay/unity/preview-click-exit
2012-09-18 18:36:12 Neil J. Patel bug added subscriber Jeremy Bicha
2012-09-18 18:36:33 Neil J. Patel unity: milestone 6.6
2012-09-19 02:13:13 Daniel van Vugt unity: milestone 6.6 7.0
2012-09-19 02:13:20 Daniel van Vugt unity: status Triaged Fix Committed
2012-09-19 04:11:21 Timo Jyrinki bug added subscriber Ubuntu Documentation Committers
2012-09-19 11:18:00 Launchpad Janitor branch linked lp:~timo-jyrinki/ubuntu/quantal/unity-lens-applications/ubuntu.660
2012-09-19 11:48:57 Launchpad Janitor branch linked lp:~timo-jyrinki/ubuntu/quantal/nux/ubuntu.360
2012-09-19 12:01:58 Launchpad Janitor branch linked lp:~timo-jyrinki/ubuntu/quantal/unity-lens-music/ubuntu.680
2012-09-19 15:06:38 John Lea bug added subscriber Matt Price
2012-09-19 15:37:13 Launchpad Janitor branch linked lp:~timo-jyrinki/ubuntu/quantal/unity/ubuntu.660
2012-09-19 21:08:14 Kate Stewart unity (Ubuntu): status New Triaged
2012-09-19 21:08:18 Kate Stewart unity-lens-music (Ubuntu): status New Triaged
2012-09-19 21:08:27 Kate Stewart unity-lens-photos (Ubuntu): status New Triaged
2012-09-20 04:57:22 Daniel van Vugt nominated for series unity/6.0
2012-09-20 04:57:22 Daniel van Vugt bug task added unity/6.0
2012-09-20 04:57:33 Daniel van Vugt unity/6.0: status New Fix Committed
2012-09-20 04:57:37 Daniel van Vugt unity/6.0: importance Undecided Critical
2012-09-20 04:57:41 Daniel van Vugt unity/6.0: milestone 6.6
2012-09-20 08:00:13 Omer Akram bug task deleted unity/6.0
2012-09-20 08:00:16 Omer Akram unity: milestone 7.0 6.6
2012-09-20 13:58:43 Neil J. Patel description = Proposed Change = At the London 12.10 dash sprint we are working on finessing the placement, movement and behaviour of elements in the 12.10 Dash. This bug is requesting a FFE and UIFE to land these fixes. ------------- Changes include: - remove preview containers - default button (normally mapped to same action as left-click) should be focused - left/right arrows go 20% opc and move further apart, go fully opaque on mouseover - Clicking outside of dash region does not stop a song preview from playing - Clicking on the main left hand side preview image in a Dash Preview should close the Preview and return the user to the results view - Users should be able to exit the Preview and return to the results by right clicking anywhere inside the preview - tab to move focus between buttons - Fix display of star ‘Rating’ in App Previews - Buttons are in 34px height, with 1px inside stroke for unselected, 2px inside stroke for selected - Buttons should also render the extra_text property of PreviewAction - add correct category header icons for Dash home - adjust spacing between categories so the implementation matches design - category headers should only be focusable if they can be expended - Dash is not dismissed when something in the other display is clicked - Dash jumps from one monitor to another in a multi-monitor environment - On a fresh install, the "filter results" section of all Lenses should be collapsed by default - update highlight focus to a 106px * 106px square with 2px round corner, 20% opc white - Files deleted by dragging and dropping from the Dash to the Trash are not removed from the Dash - Height of lenses nav bar is 40px - Removing ‘rating’ star filter from app lens - All results other than app and file icons should become 96px * 96px - app icons and icons of files that cannot be previewed become 64px * 64px - When an application is installed direct from a Dash Preview, the Software Centre should not be launched and the Software Centre window should not be opened - All applications which are a dependency of Ubuntu Desktop should not have an uninstall button in their preview = Effects on Quantal = This FFe captures a lot of small bugs/fixes and a couple larger ones. Though we don't expect any issues, the reason there are so many branches linked is that, if there are issues found, we can revert out the individual 'fixes' rather than having to revert out everything. This should hopefully make it more palatable for getting into Ubuntu. Amongst the branches linked, there are only a couple with large code changes, and they have been developed in isolation of the rest, ready to be reverted out should they cause any issues for beta 2. = Proposed Change = At the London 12.10 dash sprint we are working on finessing the placement, movement and behaviour of elements in the 12.10 Dash. This bug is requesting a FFE and UIFE to land these fixes. ------------- Changes include: - remove preview containers - default button (normally mapped to same action as left-click) should be focused - left/right arrows go 20% opc and move further apart, go fully opaque on mouseover - Clicking outside of dash region does not stop a song preview from playing - Clicking on the main left hand side preview image in a Dash Preview should close the Preview and return the user to the results view - Users should be able to exit the Preview and return to the results by right clicking anywhere inside the preview - tab to move focus between buttons - Fix display of star ‘Rating’ in App Previews - Buttons are in 34px height, with 1px inside stroke for unselected, 2px inside stroke for selected - Buttons should also render the extra_text property of PreviewAction - add correct category header icons for Dash home - adjust spacing between categories so the implementation matches design - category headers should only be focusable if they can be expended - Dash is not dismissed when something in the other display is clicked - Dash jumps from one monitor to another in a multi-monitor environment - On a fresh install, the "filter results" section of all Lenses should be collapsed by default - update highlight focus to a 106px * 106px square with 2px round corner, 20% opc white - Files deleted by dragging and dropping from the Dash to the Trash are not removed from the Dash - Height of lenses nav bar is 40px - Removing ‘rating’ star filter from app lens - All results other than app and file icons should become 96px * 96px - app icons and icons of files that cannot be previewed become 64px * 64px - When an application is installed direct from a Dash Preview, the Software Centre should not be launched and the Software Centre window should not be opened - All applications which are a dependency of Ubuntu Desktop should not have an uninstall button in their preview = Effects on Quantal = This FFe captures a lot of small bugs/fixes and a couple larger ones. Though we don't expect any issues, the reason there are so many branches linked is that, if there are issues found, we can revert out the individual 'fixes' rather than having to revert out everything. This should hopefully make it more palatable for getting into Ubuntu. Amongst the branches linked, there are only a couple with large code changes, and they have been developed in isolation of the rest, ready to be reverted out should they cause any issues for beta 2. = Translations = unity-lens-applications, unity-lens-music and unity-lens-videos have one new string: "More suggestions" (this might be captured in another report but just to be absolutely sure adding it here per dpm's request)
2012-09-20 16:01:03 Launchpad Janitor branch linked lp:ubuntu/unity
2012-09-20 18:42:46 Didier Roche unity (Ubuntu): status Triaged Fix Released
2012-09-20 18:42:51 Didier Roche unity-lens-music (Ubuntu): status Triaged Fix Released
2012-09-20 18:42:54 Didier Roche unity-lens-photos (Ubuntu): status Triaged Fix Released
2012-09-20 18:44:45 Didier Roche bug task added unity-asset-pool (Ubuntu)
2012-09-20 18:45:48 Launchpad Janitor branch linked lp:~ubuntu-desktop/unity-asset-pool/ubuntu
2012-09-20 19:51:46 Launchpad Janitor branch linked lp:~ubuntu-branches/ubuntu/quantal/unity-asset-pool/quantal-proposed
2012-09-20 20:04:01 Ursula Junque bug added subscriber Ursula Junque
2012-09-21 05:29:15 Launchpad Janitor unity-asset-pool (Ubuntu): status New Fix Released
2012-09-21 08:23:11 Daniel van Vugt unity: status Fix Committed Fix Released
2012-09-24 07:55:47 Timo Jyrinki unity-lens-music: status New Fix Released
2012-09-24 07:59:17 Timo Jyrinki unity-lens-photos: status New Fix Released
2012-10-10 16:15:37 John Lea ayatana-design: status Fix Committed Fix Released
2012-10-10 16:15:49 John Lea tags dashm exbacklog udp dashm exbacklog reviewedbydesignq